include:
  - local: /templates/check-repo.yml
    inputs:
      version: $COMPONENT_VERSION
      repository: $REPOS
      extra_arguments: $EXTRA_ARGS

stages:
- build
- deploy

notify-slack:
  stage: deploy
  image: 
    name: 'registry.gitlab.com/gitlab-org/configure/github-release-watcher/github-release-watcher:$COMPONENT_VERSION'
    entrypoint: [""]
  dependencies:
    - check-repo
  script:
    - sed -iz 's/^\s*//' output.txt
    - cat -e output.txt
    - |
      if [ -s output.txt ]
      then
        DATA=$(jq -n -c --rawfile text output.txt '{"text": $text}') && curl -s -X POST -H 'Content-type: application/json' --data "$DATA" $SLACK_INCOMING_WEBHOOK
      fi
  rules:
    - if: $SLACK_INCOMING_WEBHOOK == null
      when: never
    - if: $CI_PIPELINE_SOURCE == "parent_pipeline"
